Subject: [PATCH python-team 00/38] Further patches on python-team.

From: Sharlatan Hellseher <[email-masked]>
Date: Sat, 05 Apr 2025 15:59:03 +0100

Hi Nicolas,

I could build all proposed patches successfully. python-pytensor was
downgraded to make it compatible with current version of python-scipy
which I avoid to refresh, let's do it in the next iteration of
python-team and concentrate on the failing ones in the current.

/gnu/store/424c967mkwcyaq58lgcq0p4kv9bg0bpd-clipper2-1.5.2
/gnu/store/xg3b83c7b9384cby31wfas9b5zl6pjjj-python-poetry-core-2.1.2
/gnu/store/v1v7dxf6hv3bf3w1q3cgyy6pdy50cwzx-string-view-lite-1.8.0
/gnu/store/jcscrrwqx3d0sss9il769pa9zdrshjnm-autokey-0.96.0
/gnu/store/wv9hh9ayn5z03a2vc77b5lyfydrvr878-labelme-5.2.1
/gnu/store/yc6sd9rhbcf7h1a2z9662rh22nry29nw-mageck-0.5.9.5
/gnu/store/z9r7n04ln5r4y5s1jcfmzrnkysj2a37z-python-attr-0.3.2
/gnu/store/4pv6wfrap959l7z4qyy45a0jpvanlh8z-python-bed-reader-1.0.6
/gnu/store/ysil15a6zknh5c3rlcnvjy32mp1kayjd-python-botorch-0.13.0
/gnu/store/5wrcfk8myyqyvwar5yg819fwln60y5h7-python-country-converter-1.2
/gnu/store/gzzppyb3d9kl5dm26n528qp3l808gq4l-python-crontab-3.2.0
/gnu/store/25hasb3xa8vblyzgs37zfzgbkqxa1ch3-python-django-rq-3.0.0
/gnu/store/iddwmfzskxks4v0dvznv5fffk6hyy6n6-python-duniterpy-1.2.1
/gnu/store/wm9alrf69h2yxw3dmbamknir4shxmpsq-python-flask-seasurf-2.0.0
/gnu/store/vv79rqkdmxxbl8cb9rbk8s46xkw189vd-python-furl-2.1.4
/gnu/store/b4ays94g46shz0khzdm2mgpg695qvvc2-python-gpytorch-1.14
/gnu/store/1ldxzdd51bf1sqrvpmzq458vwh9wl6zm-python-itemloaders-1.3.2
/gnu/store/03i1r1bqjc45kq07ijgkqzzlm3vq858g-python-lcapy-1.24
/gnu/store/9kvzq38ffmng76mr9s93i1h9lpnbnzm3-python-linear-operator-0.6
/gnu/store/xzhllld70mbr09mqbhd15vczkariir3b-python-pgmpy-1.0.0
/gnu/store/z7i9bfr0sh1lbbr1jg8qkylvgrrmv5x9-python-pgpy-0.6.0
/gnu/store/kapbm1cyp0krwa6a4b79y2ycj9q2iws8-python-port-for-0.7.4
/gnu/store/b3xhskqmr2317flcrir6blmh3mqw9px8-python-property-cached-1.6.4
/gnu/store/cq7jnq7wdcw7gvhnc6n4338v3amhhqj5-python-pyro4-4.82
/gnu/store/i0gz00w673khq4y2zqi0nz0ksazbbg7b-python-pysnptools-0.5.14
/gnu/store/wfb4svky47l66y6fb8r0avwc88qn6mci-python-pytensor-2.28.3
/gnu/store/63kflm6c358xiv6qilxp0cmwq1fmxmc2-python-pytorch-geometric-2.6.1
/gnu/store/dqzwsgj2cfkx63yvawys5ahvs8ik0gpa-python-qasync-0.27.1
/gnu/store/hsqz5mzh11mgsqkwg7hl9dpmdz82m66a-python-rq-2.3.1
/gnu/store/w1d9g1vz2saj70540kazy0s90x7jzgv2-python-rq-scheduler-0.14
/gnu/store/4rykyk29gjw3ga2hxyfkzw4v7ik7yzw4-python-serpent-1.41
/gnu/store/rpnghqljbjq6ky58c3gil40awrl25hqs-python-stone-3.3.9
/gnu/store/hjjib64r4p0av2pw1q6nyz7anc63xqaq-python-vaex-core-4.18.1
/gnu/store/frxzhn9lhgwg5llwgsdf0c5kcshsnzk4-scregseg-0.1.3

I'll give it a go to check it with -P1 before pushing, 
--8<---------------cut here---------------start------------->8---
> ./pre-inst-env guix build -M8 -P1 clipper2 -P1 python-poetry-core@2
 -P1 string-view-lite -P1 autokey -P1 labelme -P1 mageck -P1
 python-attr -P1 python-bed-reader -P1 python-botorch -P1
 python-country-converter -P1 python-crontab -P1 python-django-rq -P1
 python-duniterpy -P1 python-flask-seasurf -P1 python-furl -P1
 python-gpytorch -P1 python-itemloaders -P1 python-lcapy -P1
 python-linear-operator -P1 python-pgmpy -P1 python-pgpy -P1
 python-port-for -P1 python-property-cached -P1 python-pyro4 -P1
 python-pysnptools -P1 python-pytensor -P1 python-pytorch-geometric -P1
 python-qasync -P1 python-rq -P1 python-rq-scheduler -P1 python-serpent
 -P1 python-stone -P1 python-vaex-core -P1 scregseg
--8<---------------cut here---------------end--------------->8---

--
Oleg